import unittest


def fib(n):
    x, y = 0, 1
    for i in range(n):
        x, y = y + x, x
    return x


class MyTestCase(unittest.TestCase):

    def test_fib(self):
        self.assertEqual(fib(1), 1)
        self.assertEqual(fib(3), 2)
        # ...

    def test_lower(self):
        self.assertEqual("abcd".lower(), "abcd")
        self.assertEqual("ABCD".lower(), "abcd")
        self.assertEqual("Abcd".lower(), "abcd")

    def test_upper(self):
        cases = [("abcd", "ABCD"), ("Abcd", "ABCD"), ("GEF", "GEF")]
        for l, r in cases:
            self.assertEqual(l.upper(), r)


unittest.main()
